> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get time-to-detect and time-to-verdict metrics for a single detection



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/detection/{id}/metrics
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/detection/{id}/metrics:
    get:
      tags:
        - Detection
      summary: Get time-to-detect and time-to-verdict metrics for a single detection
      operationId: DetectionController_getMetrics
      parameters:
        - name: id
          required: true
          in: path
          description: Detection ID
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DetectionMetricsDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '404':
          description: ''
        '422':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    DetectionMetricsDto:
      type: object
      properties:
        ttdSeconds:
          type: number
          description: Time to detect for this detection in seconds
          nullable: true
        ttvMilliseconds:
          type: number
          description: Time to verdict for this detection in milliseconds
          nullable: true
      required:
        - ttdSeconds
        - ttvMilliseconds
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````